<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="keywords" content="legal, privacy, policy, chat, matrix, agreement, consent"/>
        <link rel="shortcut icon" href="https://www.eclipse.org/favicon.ico"/>

        <title>Eclipse Foundation Website Privacy Policy | The Eclipse Foundation</title>
        <link rel="stylesheet" href="https://www.eclipse.org/eclipse.org-common/themes/solstice/public/stylesheets/quicksilver.min.css?v0.0.211">

        <style type="text/css">
          .form-item-eclipse-foundation-options-terms {
            border-bottom: 2px solid #ddd;
            border-top: 2px solid #ddd;
          }
          #content {
            min-height: 350px;
          }
        </style>
        <script>
          window.addEventListener('load', function() {
            // for federated users only
            const urlParams = new URLSearchParams(window.location.search);

            const user = urlParams.get('u');
            if (user === null) {
              let newHtml = '<label class="control-label" for="edit-eclipse-foundation-options-terms">' +
                            'Before starting using the Eclipse Foundation chat service, please review ' +
                            '<a href="http://www.eclipse.org/legal/termsofuse.php">Terms of Use</a>,' +
                            '<a href="http://www.eclipse.org/legal/privacy.php">Privacy Policy</a> and ' +
                            '<a href="https://www.eclipse.org/org/documents/Community_Code_of_Conduct.php">Code of Conduct</a>. ' +
                            '<strong>*</strong>' +
                            '</label>';

              // Récupérer l'élément à remplacer
              let oldElement = document.querySelector('.control-label[for="edit-eclipse-foundation-options-terms"]');

              // Remplacer l'élément par le nouveau code HTML
              oldElement.outerHTML = newHtml;
              
              document.getElementById('edit-authorize').remove();
              document.getElementById('edit-cancel').remove();
            }});
        </script>
    </head>
    <body>
        <div id="content" class="container">        
            <header class="mx_Header text-center padding-30">
                <img src="https://www.eclipse.org/eclipse.org-common/themes/solstice/public/images/logo/eclipse-foundation-grey-orange.svg" alt="[Eclipse Foundation]"/>
            </header>
              <div class="form-item form-item-eclipse-foundation-options-terms form-type-checkbox checkbox padding-10"> 
                            

              <h1>Understand how your data is used</h1>
              <p>
                  The Matrix protocol is designed with your privacy and data sovereignty in mind. Because it is a decentralised, federated service with cryptographically-validated message integrity, there are a few important things to know before you use the Service.
              </p>
              <h2>Federation</h2>
              <p>
                  Services using the Matrix protocol rely on Matrix homeservers which share user data with the wider ecosystem over federation.
              </p>
              <ul>
                  <li>
                      When you send messages or files in a room, a copy of the data is sent to all participants in the room. If these participants are registered on remote homeservers, your username, display name, messages and files may be replicated across each participating homeserver.
                  </li>
                  <li>
                      We will forget your copy of your data upon your request. We will also forward your request onto federated homeservers. However - these homeservers are outside our span of control, so we cannot guarantee they will forget your data.
                  </li>
                  <li>
                      Federated homeservers can be located anywhere in the world, and are subject to local laws and regulations.
                  </li>
              </ul>
              <!-- <h2>Bridging</h2>
              <p>
                  Some Matrix rooms are bridged to third-party services, such as IRC networks, twitter or email. When a room has been bridged, your messages and media may be copied onto the bridged service.
              </p>
              <ul>
                  <li>
                      It may not be technically possible to support your management of your data once it has been copied onto a bridged service.
                  </li>
                  <li>
                      Bridged services can be located anywhere in the world, and are subject to local laws and regulations.
                  </li>
              </ul>
              <h3>Integration Services (Bots and Widgets)</h3>
              <p>
                  The matrix.org homeserver provides a range of integrations in the form of Widgets (web applications accessed as part of the Matrix Client webapp) and Bots (automated participants in rooms). Bots and Widgets have access to the messages and files in rooms in which they participate.
              </p> -->
              <h2>Forgetting your Data</h2>
              <p>
                  You can request that we forget your data if you deactivate your account.  
                  Each user in a Matrix conversation receives their own copy of all messages and files in that conversation (similar to email), so we ensure data is forgotten by ensuring that your data is not shared further and is not visible to future users.  
                  Once all users's copies have been forgotten the messages and files will be deleted from the matrix.eclipse.org homeserver database.
              </p>
              <p>
                  If you remove (redact) a message, the message content will no longer be accessible to users. 
                  Redactions only remove message content, your display name and avatar - your username will still be visible. 
                  Federated homeservers and some matrix clients may not honour the redaction request.
              </p>
              <h2>Legal Basis for Processing</h2>
              <p>
                  The Eclipse Foundation processes your data under Legitimate Interest. 
                  This means that we process your data only as necessary to deliver the Service, and in a manner that you understand and expect.
              </p>
              <p>
                  The Legitimate Interest of our Service is the provision of decentralised, openly-federated and (optionally) end-to-end encrypted communication services. 
                  The processing of user data we undertake is necessary to provide the Service. The nature of the Service and its implementation results in some  caveats concerning this processing, particularly in terms of GDPR Article 17 Right to Erasure (Right to be Forgotten). 
                  We believe these caveats are in line with the broader societal interests served by providing the Service. 
                  These caveats are discussed in detail in the full privacy notice, but the most important restriction is that your username will still be publicly associated with rooms in which you have participated even if you deactivate your account and ask us to forget your data.
              </p>
              <p>
                  In situations where the interests of the individual appear to be in conflict with the broader societal interests, we will seek to reconcile those differences in accordance with our policy.
              </p>
              <p>
                  If any of the above are unacceptable to you, <b>please do not use the Service.</b>
              </p>
           
              <div class="text-center" style="border-top: 2px solid #ddd; padding-top: 1em;">
                <label class="control-label" for="edit-eclipse-foundation-options-terms">
                  {% if not has_consented %} 
                  <input type="checkbox" id="edit-eclipse-foundation-options-terms" name="eclipse_foundation_options[terms]" value="terms" class="form-checkbox">I agree to the Eclipse.org 
                  {% else %}
                  Before starting using the Eclipse Foundation chat service, please review the   
                  {% endif %}
                  <a href="http://www.eclipse.org/legal/termsofuse.php">Terms of Use</a>, the
                  <a href="http://www.eclipse.org/legal/privacy.php">Privacy Policy</a> and the
                  <a href="https://www.eclipse.org/org/documents/Community_Code_of_Conduct.php">Code of Conduct</a>. <strong>*</strong>
                </label>
              </div>
            </div>
            <form id="form" method="post" action="consent">
                <script>
                    const form = document.getElementById('form');
                    form.addEventListener('submit', validate);
        
                    function validate(e) {
                        if(e.submitter.id == "edit-authorize" && !document.getElementById("edit-eclipse-foundation-options-terms").checked){
                            alert("Please accept terms before accessing Chat service at Eclipse Foundation!")
                            event.preventDefault();
                            return false;
                        } 
                        if(e.submitter.id == "edit-cancel"){
                            event.preventDefault();
                            window.location.href="https://www.eclipse.org"
                        }
                    }
                </script>
                <input type="hidden" name="v" value="{{version}}"/>
                <input type="hidden" name="u" value="{{user}}"/>
                <input type="hidden" name="h" value="{{userhmac}}"/>
               
                <div class="containerButton text-center padding-30">
                    <div class="groupButton">      
                        {% if not has_consented %}                                          
                        <button class="btn-primary btn form-submit" type="submit" id="edit-authorize" name="op" value="Continue">Continue</button>
                        {% else %}
                        <button class="btn-primary btn form-submit" type="submit" id="authorize" name="op" value="Continue">Continue</button>
                        {% endif %}
                        <button class="btn-danger btn form-submit icon-before" type="submit" id="edit-cancel" name="op" value="Cancel"><span class="icon glyphicon glyphicon-remove" aria-hidden="true"></span>Cancel</button>
                    </div>
                </div>
            </form>
        </div>
        <div>
        <p id="back-to-top">
            <a class="visible-xs" href="#top">Back to the top</a>
          </p>
            <div class="eclipsefdn-featured-story featured-footer" data-publish-target="eclipse_org"><div class="container featured-container"></div></div><footer id="solstice-footer">
              <div class="container">
              <div class="row">
                <section class="col-sm-6 hidden-print" id="footer-eclipse-foundation">
                      <h2 class="section-title">Eclipse Foundation</h2>
              <ul class="nav"><li><a href="https://www.eclipse.org/org/">About Us</a></li><li><a href="https://www.eclipse.org/org/foundation/contact.php">Contact Us</a></li><li><a href="https://www.eclipse.org/sponsor">Sponsor</a></li><li><a href="https://www.eclipse.org/membership/">Members</a></li><li><a href="https://www.eclipse.org/org/documents/">Governance</a></li><li><a href="https://www.eclipse.org/org/documents/Community_Code_of_Conduct.php">Code of Conduct</a></li><li><a href="https://www.eclipse.org/artwork/">Logo and Artwork</a></li><li><a href="https://www.eclipse.org/org/foundation/directors.php">Board of Directors</a></li><li><a href="https://www.eclipse.org/careers">Careers</a></li></ul>      </section>
                <section class="col-sm-6 hidden-print" id="footer-legal">
                      <h2 class="section-title">Legal</h2>
              <ul class="nav"><li><a href="https://www.eclipse.org/legal/privacy.php">Privacy Policy</a></li><li><a href="https://www.eclipse.org/legal/termsofuse.php">Terms of Use</a></li><li><a href="https://www.eclipse.org/legal/copyright.php">Copyright Agent</a></li><li><a href="https://www.eclipse.org/legal/epl-2.0/">Eclipse Public License</a></li><li><a href="https://www.eclipse.org/legal/">Legal Resources</a></li></ul>      </section>
                <section class="col-sm-6 hidden-print" id="footer-useful-links">
                      <h2 class="section-title">Useful Links</h2>
              <ul class="nav"><li><a href="https://bugs.eclipse.org/bugs/">Report a Bug</a></li><li><a href="//help.eclipse.org/">Documentation</a></li><li><a href="https://www.eclipse.org/contribute/">How to Contribute</a></li><li><a href="https://www.eclipse.org/mail/">Mailing Lists</a></li><li><a href="https://www.eclipse.org/forums/">Forums</a></li><li><a href="//marketplace.eclipse.org">Marketplace</a></li></ul>      </section>
                <section class="col-sm-6 hidden-print" id="footer-other">
                      <h2 class="section-title">Other</h2>
              <ul class="nav"><li><a href="https://www.eclipse.org/ide/">IDE and Tools</a></li><li><a href="https://www.eclipse.org/projects">Projects</a></li><li><a href="https://www.eclipse.org/org/workinggroups/">Working Groups</a></li><li><a href="https://www.eclipse.org/org/research/">Research@Eclipse</a></li><li><a href="https://www.eclipse.org/security/">Report a Vulnerability</a></li><li><a href="https://status.eclipse.org">Service Status</a></li></ul>      </section>
                      <div class="col-sm-24 margin-top-20">
                  <div class="row">
                    <div id="copyright" class="col-md-16">
                      <p id="copyright-text">Copyright &copy; Eclipse Foundation. All Rights Reserved.</p>
                    </div>
                    <div class="col-md-8 social-media">
                      <ul class="list-inline">
                        <li>
                          <a class="social-media-link fa-stack fa-lg" href="https://twitter.com/EclipseFdn" aria-label="Eclipse Foundation Twitter profile">
                            <i class="fa fa-circle-thin fa-stack-2x"></i>
                            <i class="fa fa-twitter fa-stack-1x"></i>
                          </a>
                        </li>
                        <li>
                          <a class="social-media-link fa-stack fa-lg" href="https://www.facebook.com/eclipse.org" aria-label="Eclipse Foundation Facebook page">
                            <i class="fa fa-circle-thin fa-stack-2x"></i>
                            <i class="fa fa-facebook fa-stack-1x"></i>
                          </a>
                        </li>
                        <li>
                          <a class="social-media-link fa-stack fa-lg" href="https://www.youtube.com/user/EclipseFdn" aria-label="Eclipse Foundation YouTube channel">
                            <i class="fa fa-circle-thin fa-stack-2x"></i>
                            <i class="fa fa-youtube fa-stack-1x"></i>
                          </a>
                        </li>
                        <li>
                          <a class="social-media-link fa-stack fa-lg" href="https://www.linkedin.com/company/eclipse-foundation" aria-label="Eclipse Foundation Linkedin profile">
                            <i class="fa fa-circle-thin fa-stack-2x"></i>
                            <i class="fa fa-linkedin fa-stack-1x"></i>
                          </a>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div>      <a href="#" class="scrollup">Back to the top</a>
              </div>
            </div>
          </footer>
        </div>
          <!-- Placed at the end of the document so the pages load faster -->
          <script src="https://www.eclipse.org/eclipse.org-common/themes/solstice/public/javascript/main.min.js?var=0.0.211"></script>
    </body>
</html>
